## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbMapElement.JaxbCompositeIndex

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbMapElement.JaxbCompositeIndex

Enclosing class:
  JaxbMapElement

    public static class JaxbMapElement.JaxbCompositeIndex

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="unbounded">
               <element name="key-property" type="{http://www.hibernate.org/xsd/hibernate-mapping}key-property-element"/>
               <element name="key-many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}key-many-to-one-element"/>
             </choice>
           </sequence>
           <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` `clazz`
`protected List<Object>` `keyPropertyOrKeyManyToOne`

Constructor Summary
`JaxbMapElement.JaxbCompositeIndex()`

Method Summary
`String` `getClazz()` Gets the value of the clazz property.
`List<Object>` `getKeyPropertyOrKeyManyToOne()` Gets the value of the keyPropertyOrKeyManyToOne property.
`void` `setClazz(String value)` Sets the value of the clazz property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyPropertyOrKeyManyToOne

    protected List<Object> keyPropertyOrKeyManyToOne

### clazz

    protected String clazz

Constructor Detail

### JaxbMapElement.JaxbCompositeIndex

    public JaxbMapElement.JaxbCompositeIndex()

Method Detail

### getKeyPropertyOrKeyManyToOne

    public List<Object> getKeyPropertyOrKeyManyToOne()

  Gets the value of the keyPropertyOrKeyManyToOne property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the keyPropertyOrKeyManyToOne property.

  For example, to add a new item, do as follows:

          getKeyPropertyOrKeyManyToOne().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbKeyManyToOneElement` `JaxbKeyPropertyElement`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.